Subject: How deal with redirect message with no Redirected Header option

From: Duan Jiong <[email-masked]>
Date: Sun, 17 Mar 2013 22:08:14 +0800

Hi,

when a redirect message is recived, and if  it has no Redirected Header
option, the kernel will drop it in function ndisc_redirect_rcv(). But it is said
that the Redirected Header option is optional in rfc 4861. Now i’m not sure
 whether or not it should be dealt with in function ndisc_redirect_rcv()?

thanks!